Bug 863303 - missing dependency "clamav-server-sysvinit" required
missing dependency "clamav-server-sysvinit" required
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: amavisd-new (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 23:16 EDT by Matt Kinni
Modified: 2013-08-01 07:03 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 07:03:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Kinni 2012-10-04 23:16:40 EDT
Description of problem:
clamav.amavisd.service fails to start because the dependency clamav-server-sysvinit isn't actually a dependency of the package.

systemctl start clamd.amavisd:

clamd.amavisd[1325]: /etc/rc.d/init.d/clamd.amavisd: line 7: /usr/share/clamav/clamd-wrapper: No such file or directory
Oct  5 05:07:55 minipixia systemd[1]: clamd.amavisd.service: control process exited, code=exited status=1
Oct  5 05:07:55 minipixia systemd[1]: Unit clamd.amavisd.service entered failed state.

yum provides /usr/share/clamav/clamd-wrapper:
clamav-server-sysvinit-0.97.3-1703.fc17.noarch 

Version-Release number of selected component (if applicable):
clamav-server-0.97.6-1700.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install clamav-update
2. Try to start it
3.
  
Actual results:
can't start

Expected results:
starts

Additional info:
Comment 1 Enrico Scholz 2012-10-05 04:38:33 EDT
reassigning to amavis...
Comment 2 Neil Squires 2012-10-11 09:23:45 EDT
I also experienced this bug following a restart of the server. The fix was to do:

# yum install clamav-server-sysvinit

Log errors before the install

Oct 11 23:02:12 mailgw amavis[10659]: (10659-04) (!)ClamAV-clamd: Can't connect to UNIX socket /var/spool/amavisd/clamd.sock: No such file or directory, retrying (2)
Oct 11 23:02:15 mailgw amavis[10658]: (10658-04) (!)ClamAV-clamd av-scanner FAILED: run_av error: Too many retries to talk to /var/spool/amavisd/clamd.sock (Can't connect to UNIX socket /var/spool/amavisd/clamd.sock: No such file or directory) at (eval 86) line 375.\n
Oct 11 23:02:15 mailgw amavis[10658]: (10658-04) (!!)WARN: all primary virus scanners failed, considering backups
Oct 11 23:02:18 mailgw amavis[10659]: (10659-04) (!)ClamAV-clamd av-scanner FAILED: run_av error: Too many retries to talk to /var/spool/amavisd/clamd.sock (Can't connect to UNIX socket /var/spool/amavisd/clamd.sock: No such file or directory) at (eval 86) line 375.\n
Oct 11 23:02:18 mailgw amavis[10659]: (10659-04) (!!)WARN: all primary virus scanners failed, considering backups

Prior to the install

# service clamd.amavisd start
/etc/init.d/clamd.amavisd: line 7: /usr/share/clamav/clamd-wrapper: No such file or directory

# ls /usr/share/clamav/
freshclam-sleep

# yum list | grep clam
clamav.x86_64                           0.97.6-1700.fc17             @anaconda-0
clamav-data.noarch                      0.97.6-1700.fc17             @anaconda-0
clamav-filesystem.noarch                0.97.6-1700.fc17             @anaconda-0
clamav-lib.x86_64                       0.97.6-1700.fc17             @anaconda-0
clamav-milter.x86_64                    0.97.6-1700.fc17             @anaconda-0
clamav-milter-systemd.noarch            0.97.6-1700.fc17             @anaconda-0
clamav-server.x86_64                    0.97.6-1700.fc17             @anaconda-0
clamav-update.x86_64                    0.97.6-1700.fc17             @anaconda-0
clamav-data-empty.noarch                0.97.6-1700.fc17             updates
clamav-devel.i686                       0.97.6-1700.fc17             updates
clamav-devel.x86_64                     0.97.6-1700.fc17             updates
clamav-lib.i686                         0.97.6-1700.fc17             updates
clamav-milter-upstart.noarch            0.97.6-1700.fc17             updates
clamav-scanner.noarch                   0.97.6-1700.fc17             updates
clamav-scanner-systemd.noarch           0.97.6-1700.fc17             updates
clamav-scanner-upstart.noarch           0.97.6-1700.fc17             updates
clamav-server-systemd.noarch            0.97.6-1700.fc17             updates
clamav-server-sysvinit.noarch           0.97.6-1700.fc17             updates
clamav-unofficial-sigs.noarch           3.7.1-7.fc17                 updates
clamsmtp.x86_64                         1.10-9.fc17                  updates
clamtk.noarch                           4.42-1.fc17                  updates
clamz.x86_64                            0.5-1.fc17                   fedora
claws-mail-plugins-clamd.x86_64         3.8.1-1.fc17                 updates
exim-clamav.x86_64                      4.76-8.fc17                  fedora
exim-clamav-sysvinit.noarch             4.76-8.fc17                  fedora

# systemctl start clamd@amavisd.service
Failed to issue method call: Unit clamd@amavisd.service failed to load: No such file or directory. See system logs and 'systemctl status clamd@amavisd.service' for details.

Post install clamd@amavisd.service starts normally.
Comment 3 John Florian 2013-01-31 18:42:16 EST
I also ran into this bug.  I had installed amavisd-new (on Fedora 18), which pulled in several clam dependencies, but missed this one on clamav-server-sysvinit.   As a result amavis was throwing warnings like:

amavis[12756]: (12756-03) (!)connect to /var/spool/amavisd/clamd.sock failed, attempt #1: Can't connect to UNIX socket /var/spool/amavisd/clamd.sock: No such file or directory

With the large number of clam packages (and some with buggy package descriptions), it was a challenge to figure out what was needed to resolve the above error message.  Fortunately I decided to check BZ before putting too much work into the diagnosis as this bug report gave me just the answer I needed:

yum install clamav-server-sysvinit
systemctl start clamd.amavisd.service

With that simple task done, now amavis can talk to clamd successfully.  Seems like this should be an easy bug to fix that would make this common setup very easy for people -- it's so close now, especially compared to what it used to require!
Comment 4 Fedora End Of Life 2013-07-03 23:28:31 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 07:03:06 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.